PipelineService (Mule ESB 2.2.1 API)
Keywords: org.mule.model.pipeline.PipelineService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.pipeline
Class PipelineService

    java.lang.Object
      org.mule.service.AbstractService
          org.mule.model.direct.DirectService
              org.mule.model.pipeline.PipelineService

All Implemented Interfaces:
  Serializable, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Service

    public class PipelineService

extends DirectService

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.service.AbstractService
`component, exceptionListener, inboundRouter, INITIAL_STATE_PAUSED, INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED, initialised, initialState, logger, model, muleContext, name, outboundRouter, paused, responseRouter, stats, stopped, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`PipelineService()`

Method Summary
`protected void` | `doDispatch(MuleEvent event)`
`protected MuleMessage` | `doSend(MuleEvent event)`
`void` | `setComponent(Component component)` Sets the Component that is a invoked by a `Service` for each incoming `MuleEvent` routed on by the `InboundRouterCollection`.

Methods inherited from class org.mule.service.AbstractService
`connectListeners, createStatistics, disconnectListeners, dispatchEvent, dispatchToOutboundRouter, dispose, doDispose, doForceStop, doInitialise, doPause, doResume, doStart, doStop, fireServiceNotification, forceStop, getComponent, getExceptionListener, getInboundRouter, getIncomingEndpoints, getInitialState, getModel, getMuleContext, getName, getOutboundRouter, getReplyToHandler, getResponseRouter, getStatistics, handleException, initialise, invokeComponent, isPaused, isStarted, isStopped, isStopping, pause, processAsyncReplyRouter, processReplyTo, registerListeners, resume, sendEvent, sendToOutboundRouter, setExceptionListener, setInboundRouter, setInitialState, setModel, setMuleContext, setName, setOutboundRouter, setResponseRouter, start, start, startListeners, stop, stopListeners, toString, unregisterListeners, waitIfPaused`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PipelineService

    public PipelineService()

Method Detail

### doSend

    protected MuleMessage doSend(MuleEvent event)
                          throws MuleException

  Overrides:
    `doSend` in class `DirectService`
  Throws:
    `MuleException`

### doDispatch

    protected void doDispatch(MuleEvent event)
                       throws MuleException

  Overrides:
    `doDispatch` in class `DirectService`
  Throws:
    `MuleException`

### setComponent

    public void setComponent(Component component)

  Description copied from interface: `Service`
  Sets the Component that is a invoked by a `Service` for each incoming `MuleEvent` routed on by the `InboundRouterCollection`.

  Specified by:
    `setComponent` in interface `Service`
  Overrides:
    `setComponent` in class `AbstractService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.